com.verisign.epp.codec.contact

## Class EPPContactUpdateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPUpdateCmd
    - - com.verisign.epp.codec.contact.EPPContactUpdateCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPContactUpdateCmd
      extends EPPUpdateCmd

  Represents an EPP Host <update> command. The EPP <update> command provides a transform operation that allows a client to modify the attributes of a contact object. In addition to the standard EPP command elements, the <update> command MUST contain a <contact:update> element that identifies the contact namespace and the location of the contact schema. The <contact:update> element SHALL contain the following child elements:
  - A <contact:id> element that contains the server-unique identifier of the contact object to be updated. Use `getId` and `setId` to get and set the element.
  - An OPTIONAL <contact:add> element that contains attribute values to be added to the host object. Use `getAdd` and `setAdd` to get and set the element.
  - An OPTIONAL <contact:rem> element that contains attribute values to be removed from the host object. Use `getRemove` and `setRemove` to get and set the element.
  - An OPTIONAL <contact:chg> element that contains attribute values to be changed to the host object. Use `getChange` and `setChange` to get and set the element.
  `EPPReponse` is the response associated with `EPPContactUpdateCmd`.
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    `EPPResponse`, `EPPContactAddChange`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPContactUpdateCmd()` `EPPContactUpdateCmd` default constructor.
    `EPPContactUpdateCmd(java.lang.String aTransId, java.lang.String aId)` `EPPContactUpdateCmd` constructor.
    `EPPContactUpdateCmd(java.lang.String aTransId, java.lang.String aId, EPPContactAddChange aAdd, EPPContactAddChange aRemove, EPPContactAddChange aChange)` `EPPContactUpdateCmd` constructor that takes the required attributes as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPContactUpdateCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPContactUpdateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactUpdateCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactUpdateCmd` with this instance.
    `EPPContactAddChange` | `getAdd()` Gets the items to add to the contact.
    `EPPContactAddChange` | `getChange()` Gets the items to change to the contact.
    `java.lang.String` | `getId()` Get contact id.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPContactUpdateCmd`.
    `EPPContactAddChange` | `getRemove()` Gets the items to remove to the contact.
    `void` | `setAdd(EPPContactAddChange newAdd)` Sets the items to add to the contact.
    `void` | `setChange(EPPContactAddChange newChange)` Sets the items to change to the contact.
    `void` | `setId(java.lang.String newId)` Set contact id.
    `void` | `setRemove(EPPContactAddChange newRemove)` Sets the items to remove to the contact.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPUpdateCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPContactUpdateCmd

          public EPPContactUpdateCmd()

      `EPPContactUpdateCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.

    - #### EPPContactUpdateCmd

          public EPPContactUpdateCmd(java.lang.String aTransId,
                                     java.lang.String aId)

      `EPPContactUpdateCmd` constructor.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aId` - Contact ID

    - #### EPPContactUpdateCmd

          public EPPContactUpdateCmd(java.lang.String aTransId,
                                     java.lang.String aId,
                                     EPPContactAddChange aAdd,
                                     EPPContactAddChange aRemove,
                                     EPPContactAddChange aChange)

      `EPPContactUpdateCmd` constructor that takes the required attributes as arguments.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aId` - Contact ID.
        `aAdd` - Attributes to add to the contact. `null` if no additions.
        `aRemove` - Attributes to remove from the contact. `null` if no removals.
        `aChange` - Attributes to remove from the contact. `null` if no changes.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPContactUpdateCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPHostMapFactory.NS`

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPContactUpdateCmd` instance.
      Specified by:
        `doEncode` in class `EPPUpdateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPContactUpdateCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPContactUpdateCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPContactUpdateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPUpdateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPContactUpdateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPContactUpdateCmd` with this instance.
      Overrides:
        `equals` in class `EPPUpdateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPContactUpdateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPContactUpdateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getAdd

          public EPPContactAddChange getAdd()

      Gets the items to add to the contact.
      Returns:
        Object that contains the list of elements to add to the contact if defined; `null` otherwise.

    - #### getChange

          public EPPContactAddChange getChange()

      Gets the items to change to the contact.
      Returns:
        Object that contains the list of elements to change to the contact if defined; `null` otherwise.

    - #### getId

          public java.lang.String getId()

      Get contact id.
      Returns:
        String Contact ID

    - #### getRemove

          public EPPContactAddChange getRemove()

      Gets the items to remove to the contact.
      Returns:
        Object that contains the list of elements to remove to the contact if defined; `null` otherwise.

    - #### setAdd

          public void setAdd(EPPContactAddChange newAdd)

      Sets the items to add to the contact.
      Parameters:
        `newAdd` - Object that contains the list of elements to add to the contact.

    - #### setChange

          public void setChange(EPPContactAddChange newChange)

      Sets the items to change to the contact.
      Parameters:
        `newChange` - Object that contains the list of elements to change to the contact.

    - #### setId

          public void setId(java.lang.String newId)

      Set contact id.
      Parameters:
        `newId` - String

    - #### setRemove

          public void setRemove(EPPContactAddChange newRemove)

      Sets the items to remove to the contact.
      Parameters:
        `newRemove` - Object that contains the list of elements to remove to the contact.

Copyright © VeriSign Inc. All Rights Reserved.